<?php
/*
 * Created on Jun 6, 2006
 *
 *
 * test20060606.php - kodform4
 * Copyright (C) 2006 boris
 *
 */
 
require '../Kod_Form.php';

$fieldAttributes = new Kod_Attributes();
$fieldAttributes->required = array("style" => "border: 1px solid blue;");
$fieldAttributes->error = array("style" => "border: 1px solid red;");
$fieldAttributes->normal = array("style" => "border: 1px solid black;");

$form = new Kod_Form("test1");

$name =& $form->addElement(new Kod_Field("name", "Name", Kod_Field::text, "name", "Moras me unjeti"));
$name->addFilter(new trim_Filter());
$name->addValidator(new Regex_Validator("/[\wčćž]*/", "Možete unjeti samo slova i praznine."));

$pass =& $form->addElement(new Kod_Field("pass", "Password", Kod_Field::password, "", "Moras me unjeti paas"));
$pass->addFilter(new trim_Filter());

$text = & $form->addElement(new Kod_Text("textarea", "Text Area", 5, 25));

$select = & $form->addElement(new Kod_Select("sel", "Test Select", "Nedopuštena vrijednost!!!"));
$select->addOption("gogo", "gogo");
$select->addOption("pero", "pero");
$select->addOption("sime", "sime");

$submit =& $form->addElement(new Kod_Submit("Submit", "Klikni me"));
$submit =& $form->addElement(new Kod_Submit("submit2", "Klikni me 2"));


if($form->isSubmited()){
	?><p>Form is submited!!</p>
<?php
	if($form->isValid()){
		?><p>Form is valid!!</p>

  <table>
    <tr>
      <td>Name:</td><td><?php print $name->getValue();?></td>
    </tr> 
    <tr>
      <td>Pass:</td><td><?php print $pass->getValue();?></td>
    </tr>    
    <tr>
      <td>Text Area:</td><td><?php print $text->getValue();?></td>
    </tr> 
    <tr>
      <td>Select Test:</td><td><?php print $select->getValue();?></td>
    </tr> 
  </table>
<?php
		
	}
	else{
		?>
		<p>Form is not valid</p>
		<?php 
	}
/*	else{
		?>
<p>Following errors occured!!!</p>
<table>
<?php
$errors = $form->getErrors();
foreach($errors as $key =>$error):

?>
<tr>
<td><?php print $key;?></td>
<td>
<?php
foreach($error as $err){
	print $err . "<br />";
}
?>
</td>
</tr>
<?php
endforeach;
?>
</table>
<?php
	}*/
}
/*
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<title>Kod_Form - Test</title>
</head>
<bod>
<form name="test1" action="" method="post">
<table>
<tr><td><?php print $name->getDisplayName()?></td><td><?php print $name->display($fieldAttributes);?></td><td><?php 
foreach($name->getErrors() as $error){
	print $error . "<br />";
}
?></td></tr>
<tr><td><?php print $pass->getDisplayName()?></td><td><?php print $pass->display($fieldAttributes);?></td><td><?php 
foreach($pass->getErrors() as $error){
	print $error . "<br />";
}
?></td></tr>
<tr><td><?php print $text->getDisplayName()?></td><td><?php print $text->display($fieldAttributes);?></td><td><?php 
foreach($text->getErrors() as $error){
	print $error . "<br />";
}
?></td></tr>
<tr><td><?php print $select->getDisplayName()?></td><td><?php print $select->display($fieldAttributes);?></td><td><?php 
foreach($select->getErrors() as $error){
	print $error . "<br />";
}
?></td></tr>
</table>
<?php print $submit->display();?>
</form>
</body>
</html>
<?php
*/
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<title>Kod_Form - Test</title>
</head>
<body>
<?php print $form->display();
?>
</body>
</html>